package test.logging;

 public class Logging {
	
	private boolean isEnabled=true;
	
	public boolean isEnabled() {
		return isEnabled;
	} 
	
	public void isEnabled(boolean enabled) {
		isEnabled=enabled;
	} 

 
	hook OutputLogging {
		
		private String logText = "Executing: ";
		
		OutputLogging(method(..args)) {
			execution(method);
		} 
		
		public void setLogText(String text) {
			logText=  text;
		}
		
		isApplicable() {
			return global.isEnabled();
		}

		before() {
			System.out.println(logText+thisJoinPoint.getName()+" IN "+thisJoinPoint.getClassName());
		} 
	}
}
}
